<?php
exit;
/**
 * Comment 는 무시됨. 컬럼 설명용.
 * 하나의 DB에 여러 사이트에서 같이 사용할때 primary key는 항상 CONSTRAINT pk_... 형식으로 지정해야 함.
 */
/*
[basecode]
(
  Bran_Uid varchar(20) DEFAULT '' NOT NULL COMMENT '기본정보 대분류코드',
  Group_Uid varchar(20) DEFAULT '' NOT NULL COMMENT '기본정보 중분류코드',
  Code_Uid varchar(20) DEFAULT '' NOT NULL COMMENT '기본정보 소분류코드',
  Code_Val varchar(30) DEFAULT '' NOT NULL COMMENT '기본정보 코드값',
  Code_Exp varchar(50) DEFAULT '' NOT NULL COMMENT '기본정보 설명',
  Code_Idx int DEFAULT 0 NOT NULL COMMENT '정렬순서',
  Active varchar(1) DEFAULT 'Y' NOT NULL COMMENT '사용여부',
  CONSTRAINT pk_basecode PRIMARY KEY (Bran_Uid,Group_Uid,Code_Uid)
) COMMENT='기본정보 테이블'
-end-

[member]
(
  member_id varchar(20) NOT NULL DEFAULT '' COMMENT '회원ID',
  member_pw varchar(150) NOT NULL DEFAULT '' COMMENT '회원비밀번호(암호화)',
  member_name varchar(20) DEFAULT '' COMMENT '회원명',
  member_mobile varchar(100) DEFAULT '' COMMENT '휴대폰번호(암호화)',
  member_mail varchar(100) DEFAULT '' COMMENT '메일주소(암호화)',
  member_certi_key varchar(100) DEFAULT '' COMMENT '본인인증키',
  member_status varchar(3) NOT NULL DEFAULT '' COMMENT '회원상태',
  member_auth varchar(30) NOT NULL DEFAULT '' COMMENT '회원권한',
  login_count int NOT NULL DEFAULT 0 COMMENT '방문횟수',
  login_ip varchar(60) DEFAULT '' COMMENT '방문아이피',
  login_date datetime NOT NULL DEFAULT '' COMMENT '방문날짜',
  reg_date datetime NOT NULL DEFAULT '' COMMENT '등록일',
  mod_date datetime NOT NULL DEFAULT '' COMMENT '수정일',
  CONSTRAINT pk_member PRIMARY KEY (member_id)
) COMMENT='회원정보'
-end-

[member_union]
(
  member_id varchar(20) NOT NULL DEFAULT '' COMMENT '회원ID',
  member_name varchar(20) DEFAULT '' COMMENT '회원명',
  cust_id varchar(20) NOT NULL DEFAULT '' COMMENT '소속코드',
  cust_name varchar(20) DEFAULT '' COMMENT '소속명',
  CONSTRAINT pk_member_parts PRIMARY KEY (member_id, cust_id)
) COMMENT='회원연결테이블'
-end-

[member_log]
(
  nid int IDENTITY(1,1) NOT NULL,
  member_id varchar(20) NOT NULL DEFAULT '' COMMENT '회원ID',
  ip_addr varchar(20) NOT NULL DEFAULT '' COMMENT 'IP어드레스',
  login_page varchar(20) NOT NULL DEFAULT '' COMMENT '로그인 대상',
  login_success int NOT NULL DEFAULT 0 COMMENT '성공 : 1 / 실패 : 0',
  login_date datetime NOT NULL DEFAULT '' COMMENT '로그인 timestamp',
  login_micro_time int NOT NULL DEFAULT 0 COMMENT '로그인 microtime',
  login_security_key varchar(40) NOT NULL DEFAULT '' COMMENT '중복로그인방지릉 위한 보안키(microtime값)',
  sess_file_name varchar(50) NOT NULL DEFAULT '' COMMENT '세션파일',
  browser varchar(40) NOT NULL DEFAULT '' COMMENT '접속브라우저(Mo:모바일,그외 브라우저)',
  con_domain varchar(40) NOT NULL DEFAULT '' COMMENT '로그인시 접속도메인',
  os varchar(10) NOT NULL DEFAULT '' COMMENT '사용자OS',
  os_bit varchar(10) NOT NULL DEFAULT '' COMMENT 'OS bit 32,64',
  CONSTRAINT pk_mem_log PRIMARY KEY (nid)
) COMMENT='회원 로그인 로그정보'
-end-

[token_log]
(
  token_nid int IDENTITY(1,1) NOT NULL,
  member_id varchar(20) COMMENT '회원ID',
  auth varchar(40) COMMENT '인증키',
  token varchar(200) COMMENT '토큰',
  valid_time int COMMENT '토큰 유효시간',
  expire_time int COMMENT 'refresh 토큰 유효시간',
  active char(1) COMMENT '유효토큰여부',
  ip varchar(40) COMMENT '생성IP',
  reg_date datetime NULL,
  CONSTRAINT pk_token_log PRIMARY KEY (token_nid)
) COMMENT='토큰 로그 정보'
-end-

[visit_sess]
(
  visit_sess  varchar(60) NOT NULL DEFAULT '' COMMENT '방문세션',
  member_id   varchar(20) NOT NULL DEFAULT '' COMMENT '회원ID',
  visit_sdate datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '첫조회날짜',
  visit_fdate datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '마지막조회날짜',
  visit_ip    varchar(60) DEFAULT '' COMMENT '방문IP',
  visit_total int NOT NULL DEFAULT 0 COMMENT '세션페이지 숫자',
  CONSTRAINT pk_visit_sess PRIMARY KEY (visit_sess)
) COMMENT='사이트 접근 세션 기록'
-end-

[visit_log]
(
  nid           int IDENTITY(1,1) NOT NULL COMMENT 'nid',
  visit_date    datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '방문날짜',
  visit_sess    varchar(60) NOT NULL DEFAULT '' COMMENT '방문세션',
  visit_type    varchar(10) NOT NULL DEFAULT '' COMMENT '방문형태(사용자페이지/관리자페이지)',
  cate_id       varchar(40) NOT NULL DEFAULT '' COMMENT '메뉴ID',
  visit_url     varchar(255) NOT NULL DEFAULT '' COMMENT '방문페이지',
  visit_ref     varchar(255) NOT NULL DEFAULT '' COMMENT '방문REFERER',
  visit_browser varchar(50) DEFAULT '' COMMENT '브라우저',
  visit_os      varchar(20) DEFAULT '' COMMENT '운영체제',
  visit_ip      varchar(60) DEFAULT '' COMMENT '방문IP',
  CONSTRAINT pk_visit_log PRIMARY KEY (nid)
) COMMENT='전체 페이지 조회기록'
-end-

[visit_sess_count]
(
  visit_date  date NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '방문날짜',
  visit_week  int NOT NULL DEFAULT 0 COMMENT '요일',
  visit_type  varchar(10) NOT NULL DEFAULT '' COMMENT '방문형태(사용자페이지/관리자페이지)',
  visit_total int NOT NULL DEFAULT 0 COMMENT '일별방문자합계',
  h00         int NOT NULL DEFAULT 0 COMMENT '0~1시 방문자',
  h01         int NOT NULL DEFAULT 0 COMMENT '1~2시 방문자',
  h02         int NOT NULL DEFAULT 0 COMMENT '2~3시 방문자',
  h03         int NOT NULL DEFAULT 0 COMMENT '3~4시 방문자',
  h04         int NOT NULL DEFAULT 0 COMMENT '4~5시 방문자',
  h05         int NOT NULL DEFAULT 0 COMMENT '5~6시 방문자',
  h06         int NOT NULL DEFAULT 0 COMMENT '6~7시 방문자',
  h07         int NOT NULL DEFAULT 0 COMMENT '7~8시 방문자',
  h08         int NOT NULL DEFAULT 0 COMMENT '8~9시 방문자',
  h09         int NOT NULL DEFAULT 0 COMMENT '9~10시 방문자',
  h10         int NOT NULL DEFAULT 0 COMMENT '10~11시 방문자',
  h11         int NOT NULL DEFAULT 0 COMMENT '11~12시 방문자',
  h12         int NOT NULL DEFAULT 0 COMMENT '12~13시 방문자',
  h13         int NOT NULL DEFAULT 0 COMMENT '13~14시 방문자',
  h14         int NOT NULL DEFAULT 0 COMMENT '14~15시 방문자',
  h15         int NOT NULL DEFAULT 0 COMMENT '15~16시 방문자',
  h16         int NOT NULL DEFAULT 0 COMMENT '16~17시 방문자',
  h17         int NOT NULL DEFAULT 0 COMMENT '17~18시 방문자',
  h18         int NOT NULL DEFAULT 0 COMMENT '18~19시 방문자',
  h19         int NOT NULL DEFAULT 0 COMMENT '19~20시 방문자',
  h20         int NOT NULL DEFAULT 0 COMMENT '20~21시 방문자',
  h21         int NOT NULL DEFAULT 0 COMMENT '21~22시 방문자',
  h22         int NOT NULL DEFAULT 0 COMMENT '22~23시 방문자',
  h23         int NOT NULL DEFAULT 0 COMMENT '23~24시 방문자',
  CONSTRAINT pk_visit_sess_count PRIMARY KEY (visit_date, visit_type)
) COMMENT='사이트 접근 세션 카운트'
-end-

[visit_log_count]
(
  visit_date  date NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '방문날짜',
  visit_week  int NOT NULL DEFAULT 0 COMMENT '요일',
  visit_type  varchar(10) NOT NULL DEFAULT '' COMMENT '방문형태(사용자페이지/관리자페이지)',
  visit_total int NOT NULL DEFAULT 0 COMMENT '일별페이지뷰합계',
  h00         int NOT NULL DEFAULT 0 COMMENT '0~1시 페이지뷰',
  h01         int NOT NULL DEFAULT 0 COMMENT '1~2시 페이지뷰',
  h02         int NOT NULL DEFAULT 0 COMMENT '2~3시 페이지뷰',
  h03         int NOT NULL DEFAULT 0 COMMENT '3~4시 페이지뷰',
  h04         int NOT NULL DEFAULT 0 COMMENT '4~5시 페이지뷰',
  h05         int NOT NULL DEFAULT 0 COMMENT '5~6시 페이지뷰',
  h06         int NOT NULL DEFAULT 0 COMMENT '6~7시 페이지뷰',
  h07         int NOT NULL DEFAULT 0 COMMENT '7~8시 페이지뷰',
  h08         int NOT NULL DEFAULT 0 COMMENT '8~9시 페이지뷰',
  h09         int NOT NULL DEFAULT 0 COMMENT '9~10시 페이지뷰',
  h10         int NOT NULL DEFAULT 0 COMMENT '10~11시 페이지뷰',
  h11         int NOT NULL DEFAULT 0 COMMENT '11~12시 페이지뷰',
  h12         int NOT NULL DEFAULT 0 COMMENT '12~13시 페이지뷰',
  h13         int NOT NULL DEFAULT 0 COMMENT '13~14시 페이지뷰',
  h14         int NOT NULL DEFAULT 0 COMMENT '14~15시 페이지뷰',
  h15         int NOT NULL DEFAULT 0 COMMENT '15~16시 페이지뷰',
  h16         int NOT NULL DEFAULT 0 COMMENT '16~17시 페이지뷰',
  h17         int NOT NULL DEFAULT 0 COMMENT '17~18시 페이지뷰',
  h18         int NOT NULL DEFAULT 0 COMMENT '18~19시 페이지뷰',
  h19         int NOT NULL DEFAULT 0 COMMENT '19~20시 페이지뷰',
  h20         int NOT NULL DEFAULT 0 COMMENT '20~21시 페이지뷰',
  h21         int NOT NULL DEFAULT 0 COMMENT '21~22시 페이지뷰',
  h22         int NOT NULL DEFAULT 0 COMMENT '22~23시 페이지뷰',
  h23         int NOT NULL DEFAULT 0 COMMENT '23~24시 페이지뷰',
  CONSTRAINT pk_visit_log_count PRIMARY KEY (visit_date, visit_type)
) COMMENT='전체 페이지 조회카운트'
-end-

[query_log]
(
  query_date   datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '실행일자',
  query_result varchar(1000) DEFAULT '' COMMENT '실행결과(성공여부)',
  host_name    varchar(30) DEFAULT '' COMMENT '대상HOST',
  db_name      varchar(50) DEFAULT '' COMMENT '대상DB',
  query_string varchar(max) DEFAULT '' COMMENT '쿼리내용',
  query_params varchar(max) DEFAULT '' COMMENT 'Params',
  visit_sess   varchar(60) DEFAULT '' COMMENT '방문세션',
  member_id    varchar(20) DEFAULT '' COMMENT '회원ID',
  CONSTRAINT pk_query_log PRIMARY KEY (query_date)
) COMMENT='쿼리 로그'
-end-

[category]
(
  cate_area  varchar(20) NOT NULL DEFAULT '' COMMENT '카테고리 구분',
  cate_id    varchar(40) NOT NULL COMMENT '카테고리 ID',
  cate_code  varchar(20) NOT NULL DEFAULT '' COMMENT '카테고리 정렬코드',
  cate_name  varchar(60) NOT NULL DEFAULT '' COMMENT '카테고리명',
  cate_data  varchar(200) COMMENT '카테고리 데이터',
  cate_exp   text COMMENT '카테고리 설명',
  cate_class varchar(40) NOT NULL DEFAULT '' COMMENT 'style용 css',
  cate_auth  varchar(40) COMMENT '조회권한',
  cate_use   varchar(2) COMMENT '조회',
  CONSTRAINT pk_category PRIMARY KEY (cate_area, cate_id)
) COMMENT='각종 분류 테이블'
-end-

[menu_list]
(
  cate_area  varchar(20) NOT NULL DEFAULT '' COMMENT '카테고리 구분',
  cate_id    varchar(40) NOT NULL COMMENT '카테고리 ID',
  cate_code  varchar(20) NOT NULL DEFAULT '' COMMENT '카테고리 정렬코드',
  cate_name  varchar(60) NOT NULL DEFAULT '' COMMENT '카테고리명',
  cate_data  varchar(200) COMMENT '카테고리 데이터. 현재는 filepath 로 cate_id로 제어하지 않을경우 해당path 에 권한 적용을 위해 사용',
  cate_exp   text COMMENT '카테고리 설명',
  cate_class varchar(40) NOT NULL DEFAULT '' COMMENT 'style용 css',
  cate_auth  varchar(40) COMMENT '조회권한',
  cate_use   varchar(2) COMMENT '조회',
  CONSTRAINT pk_menu_list PRIMARY KEY (cate_area, cate_id)
) COMMENT='메뉴 테이블'
-end-

[menu_auth_page]
(
  cate_area  varchar(20) NOT NULL DEFAULT '' COMMENT '카테고리 구분',
  cate_id    varchar(40) NOT NULL COMMENT '카테고리 ID',
  filepath   varchar(200) COMMENT '권한이 적용될 파일경로',
  CONSTRAINT pk_menu_auth_page PRIMARY KEY (cate_area, cate_id)
) COMMENT='메뉴 테이블의 cate_data 의 확장. 여러 파일을 path에 권한을 적용 할경우 사용'
-end-

[auth_manage]
(
  cate_area   varchar(20) NOT NULL DEFAULT '' COMMENT '기능(메뉴) 분류',
  cate_id     varchar(40) NOT NULL DEFAULT '' COMMENT '기능(메뉴) 코드 또는 ID',
  auth_area   varchar(20) COMMENT '대상 분류 그룹(그룹코드) 개인(NULL)',
  auth_target varchar(20) NOT NULL DEFAULT '' COMMENT '대상 코드 또는 ID',
  auth        int NOT NULL DEFAULT 0 COMMENT '권한 2진 111 총 8권한조합 1(수정/삭제)1(쓰기)1(읽기)',
  reg_date    datetime NOT NULL DEFAULT '' COMMENT '등록일',
  mod_date    datetime NOT NULL DEFAULT '' COMMENT '수정일',
  mod_id      varchar(20) DEFAULT '' COMMENT '수정ID',
  CONSTRAINT pk_auth_manage PRIMARY KEY (cate_area, cate_id, auth_area, auth_target)
) COMMENT='권한 관리 테이블'
-end-


[cust_list]
(
  cust_id       varchar(20) NOT NULL COMMENT '소속코드',
  cust_name     varchar(20) NOT NULL COMMENT '소속명',
  cust_fullname varchar(100) DEFAULT '' COMMENT '소속명2',
  cust_charger  varchar(20) DEFAULT '' COMMENT '담당자',
  cust_phone    varchar(100) DEFAULT '' COMMENT '대표연락처',
  cust_mail     varchar(100) DEFAULT '' COMMENT '대표메일주소',
  cust_token    varchar(100) DEFAULT '' COMMENT '소속관련API용토큰',
  cust_db_host  varchar(40) DEFAULT '' COMMENT '필요시 DB정보(주소)',
  cust_db_port  varchar(10) DEFAULT '' COMMENT '필요시 DB정보(포트)',
  cust_db_name  varchar(20) DEFAULT '' COMMENT '필요시 DB정보(DB명)',
  cust_db_user  varchar(20) DEFAULT '' COMMENT '필요시 DB정보(DB유저)',
  cust_db_pass  varchar(100) DEFAULT '' COMMENT '필요시 DB정보(DB비번-암호화)',
  cust_status   varchar(3) DEFAULT '' COMMENT '허용여부-로그인에 적용',
  cust_active   varchar(3) DEFAULT '' COMMENT '사용여부(삭제)',
  reg_date      datetime NOT NULL DEFAULT '' COMMENT '등록일',
  mod_date      datetime NOT NULL DEFAULT '' COMMENT '수정일',
  mod_id        varchar(20) DEFAULT '' COMMENT '수정ID',
  CONSTRAINT pk_cust_list PRIMARY KEY (cust_id)
) COMMENT='소속 관리 테이블'
-end-


[board_list]
(
  board_id varchar(20) DEFAULT '' COMMENT '게시판코드',
  board_name varchar(40) DEFAULT '' COMMENT '게시판명',
  board_admin varchar(100) DEFAULT '' COMMENT '게시판 관리자 id',
  board_cate varchar(20) DEFAULT '' COMMENT '카테고리',
  mem_type varchar(20) NOT NULL DEFAULT '' COMMENT '사용권한',
  read_level varchar(20) NOT NULL DEFAULT '' COMMENT '읽기권한',
  write_level varchar(20) NOT NULL DEFAULT '' COMMENT '쓰기권한',
  ness_name varchar(2) COMMENT '필수항목(이름)',
  ness_passwd varchar(2) COMMENT '필수항목(비밀번호)',
  ness_title varchar(2) COMMENT '필수항목(제목)',
  ness_homepage varchar(2) COMMENT '필수항목(홈페이지)',
  ness_mail varchar(2) COMMENT '필수항목(메일)',
  ness_contents varchar(2) COMMENT '필수항목(내용)',
  ness_image varchar(2) COMMENT '필수항목(이미지)',
  ness_file varchar(2) COMMENT '필수항목(파일)',
  use_opinion varchar(2) DEFAULT '' COMMENT '의견글사용',
  use_spamproof varchar(2) DEFAULT '' COMMENT '스팸방지 사용',
  use_webeditor varchar(20) DEFAULT '' COMMENT '웹에디터사용/종류',
  line_num varchar(2) DEFAULT '' COMMENT '페이지당 라인수',
  page_num varchar(2) DEFAULT '' COMMENT '하단 페이지수',
  new_num int NOT NULL DEFAULT 0 COMMENT '최신글 날짜',
  hot_num int NOT NULL DEFAULT 0 COMMENT '인기글 횟수',
  skin_name varchar(20) DEFAULT '' COMMENT '스킨',
  CONSTRAINT pk_board_list PRIMARY KEY (board_id)
) COMMENT='게시판리스트'
-end-

[board_contents]
(
  board_id varchar(20) NOT NULL COMMENT '게시판코드',
  cid int IDENTITY (1, 1) NOT NULL COMMENT '게시물코드',
  gubun text COMMENT '분류',
  title varchar(200) DEFAULT '' COMMENT '제목',
  contents text DEFAULT '' COMMENT '내용',
  notice varchar(2) DEFAULT '' COMMENT '1:공지로 게시',
  views int NOT NULL DEFAULT 0 COMMENT '조회수',
  good int NOT NULL DEFAULT 0 COMMENT '추천',
  nogood int NOT NULL DEFAULT 0 COMMENT '비추천',
  onum int NOT NULL DEFAULT 0 COMMENT '의견글 숫자',
  secret varchar(2) DEFAULT 0 COMMENT '비밀글',
  markup varchar(2) DEFAULT 0 COMMENT '마크업언어종류',
  state varchar(2) DEFAULT '1' COMMENT '상태/출력여부',
  member_id varchar(20) DEFAULT '' COMMENT '아이디',
  uname varchar(20) DEFAULT '' COMMENT '작성자',
  passwd varchar(100) DEFAULT '' COMMENT '비밀번호',
  homepage varchar(100) DEFAULT '' COMMENT '홈페이지',
  mail varchar(100) DEFAULT '' COMMENT '이메일',
  mobile varchar(100) DEFAULT '' COMMENT '모바일',
  ip_addr varchar(40) NOT NULL DEFAULT '' COMMENT 'IP주소',
  reg_date datetime NOT NULL DEFAULT '' COMMENT '등록일시',
  mod_date datetime NOT NULL DEFAULT '' COMMENT '수정일시',
  CONSTRAINT pk_board_contents PRIMARY KEY (board_id, cid)
) COMMENT='게시물 내용'
-end-

[board_opinion]
(
  board_id varchar(20) NOT NULL COMMENT '게시판코드',
  cid int NOT NULL DEFAULT 0 COMMENT '게시물 코드',
  oid int IDENTITY (1, 1) NOT NULL COMMENT '의견글 코드',
  uid int NOT NULL DEFAULT 0 COMMENT '상위 nid',
  idx text NOT NULL COMMENT '게시물 정렬',
  opinion text NOT NULL COMMENT '내용',
  good int NOT NULL DEFAULT 0 COMMENT '추천',
  nogood int NOT NULL DEFAULT 0 COMMENT '비추천',
  state varchar(2) DEFAULT '' COMMENT '상태/출력여부',
  member_id varchar(20) DEFAULT '' COMMENT '관리자아이디',
  uname varchar(20) DEFAULT '' COMMENT '작성자',
  passwd varchar(100) DEFAULT '' COMMENT '비밀번호',
  ip_addr varchar(40) NOT NULL DEFAULT '' COMMENT 'IP주소',
  reg_date datetime NOT NULL DEFAULT '' COMMENT '등록일시',
  mod_date datetime NOT NULL DEFAULT '' COMMENT '수정일시',
  CONSTRAINT pk_board_opinion PRIMARY KEY (board_id, cid, oid)
) COMMENT='게시물 의견글'
-end-

[board_attach]
(
  board_id varchar(20) NOT NULL COMMENT '게시판코드',
  cid int NOT NULL DEFAULT 0 COMMENT '게시물 코드',
  aid int IDENTITY (1, 1) NOT NULL COMMENT '첨부파일 코드',
  gubun varchar(20) NOT NULL DEFAULT '' COMMENT '분류',
  file_name varchar(255) NOT NULL DEFAULT '' COMMENT '파일명',
  file_size int NOT NULL DEFAULT 0 COMMENT '파일사이즈',
  file_type varchar(30) NOT NULL DEFAULT '' COMMENT '파일형식',
  file_width int NOT NULL DEFAULT 0 COMMENT '넓이',
  file_height int NOT NULL DEFAULT 0 COMMENT '높이',
  reg_date datetime NOT NULL DEFAULT '' COMMENT '등록일',
  CONSTRAINT pk_board_attach PRIMARY KEY (board_id, cid, aid)
) COMMENT='게시물 첨부파일'
-end-

[attach_list]
(
  file_id int IDENTITY (1, 1) NOT NULL COMMENT '파일 id 무작',
  gubun varchar(20) NOT NULL DEFAULT '' COMMENT '소속분류',
  nid varchar(20) NOT NULL DEFAULT '' COMMENT '소속 메인코드',
  sid varchar(30) NOT NULL DEFAULT '' COMMENT '소속 서브코드',
  file_name varchar(255) NOT NULL DEFAULT '' COMMENT '파일명',
  file_size int NOT NULL DEFAULT '0' COMMENT '파일사이즈',
  file_type varchar(30) NOT NULL DEFAULT '' COMMENT '파일형식',
  file_width int NOT NULL DEFAULT '0' COMMENT '넓이',
  file_height int NOT NULL DEFAULT '0' COMMENT '높이',
  file_exp varchar(100) NOT NULL DEFAULT '0' COMMENT '추가텍스트',
  reg_date datetime NOT NULL DEFAULT '' COMMENT '등록일',
  CONSTRAINT pk_attach_filelist PRIMARY KEY (file_id),
  CONSTRAINT ik_attach_filelist UNIQUE (gubun, nid, sid)
) COMMENT='웹에디터용 이외의 첨부 파일 관리'
-end-





[recv_list]
(
  recv_id int IDENTITY (1, 1) NOT NULL COMMENT 'nid',
  send_ip       varchar(40) DEFAULT '' COMMENT '발신IP',
  recv_method   varchar(20) DEFAULT '' COMMENT '수신Method',
  recv_url      varchar(500) DEFAULT '' COMMENT '수신URL',
  recv_data     varchar(5000) DEFAULT '' COMMENT '수신데이터',
  recv_raw      varchar(5000) DEFAULT '' COMMENT '수신데이터raw',
  recv_post     varchar(5000) DEFAULT '' COMMENT '수신데이터post',
  recv_get      varchar(5000) DEFAULT '' COMMENT '수신데이터get',
  recv_all      varchar(5000) DEFAULT '' COMMENT '수신전문',
  reg_date      datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '등록일'
  CONSTRAINT pk_recv_list PRIMARY KEY (recv_id)
) COMMENT='API 수신정보 테이블'
-end-


//------------Steel Korea--------------
[B_BIZ_PARTNER]
(
  BP_CD        varchar(20) NOT NULL COMMENT '거래처코드',
  BP_NM        nvarchar(50) NOT NULL COMMENT '거래처명',
  BP_FULL_NM   nvarchar(50) NULL COMMENT '거래처전체명',
  BIZ_TYPE     nvarchar(50) NULL COMMENT '업종',
  BIZ_ITEM     nvarchar(50) NULL COMMENT '업태',
  BIZ_REG_NO   varchar(10) NULL COMMENT '사업자등록번호',
  REPRESN_NM   nvarchar(50) NULL COMMENT '대표자명',
  RES_REG_NO   varchar(50) NULL COMMENT '주민번호',
  ZIP_CD       varchar(20) NULL COMMENT '우편번호',
  ADDR1        nvarchar(100) NULL COMMENT '주소1',
  ADDR2        nvarchar(100) NULL COMMENT '주소2',
  NAT_CD       varchar(3) NULL COMMENT '국가',
  CURRENCY_CD  varchar(3) NULL COMMENT '거래화폐',
  TEL_NO       varchar(20) NULL COMMENT '전화번호',
  FAX_NO       varchar(20) NULLV COMMENT '팩스번호',
  PUR_FLG      varchar(1) DEFAULT 'Y' NOT NULL COMMENT '매입처구분',
  SAL_FLG      varchar(1) DEFAULT 'Y' NOT NULL COMMENT '매출처구분',
  BP_TYPE      varchar(1) DEFAULT 'N' NOT NULL COMMENT '자사구분',
  USE_FLG      varchar(1) DEFAULT 'Y' NOT NULL COMMENT '사용여부',
  REMK         nvarchar(100) NULL COMMENT '비고',
  MAKE_USER_ID varchar(50) NULL COMMENT '등록자',
  MAKE_TM      datetime NULL COMMENT '등록시간',
  EDIT_USER_ID varchar(50) NULL COMMENT '수정자',
  EDIT_TM      datetime NULL COMMENT '수정시간',
  CONSTRAINT PK_B_BIZ_PARTNER PRIMARY KEY (BP_CD)
)
-end-


[B_BIZ_PARTNER_PRSN]
(
  BP_PRSN_ID      varchar(20) NOT NULL COMMENT '담당자아이디',
  BP_CD           varchar(20) NOT NULL COMMENT '거래처코드',
  BP_PRSN_NM      nvarchar(50) NOT NULL COMMENT '담당자명',
  BP_PRSN_EMAIL   varchar(50) NULL COMMENT '담당자이메일',
  BP_PRSN_TEL_NO  varchar(20) NULL COMMENT '담당자전화번호',
  BP_PRSN_CELL_NO varchar(20) NULL COMMENT '담당자휴대폰번호',
  BP_PRSN_FAX_NO  varchar(20) NULL COMMENT '담당자팩스번호',
  REMK            nvarchar(100) NULL COMMENT '비고',
  USE_FLG         varchar(1) NOT NULL COMMENT '사용여부',
  MAKE_USER_ID    varchar(50) NULL COMMENT '등록자',
  MAKE_TM         datetime NULL COMMENT '등록시간',
  EDIT_USER_ID    varchar(50) NULL COMMENT '수정자',
  EDIT_TM         datetime NULL COMMENT '수정시간',
  CONSTRAINT PK_B_BIZ_PARTNER_PRSN PRIMARY KEY (BP_PRSN_ID),
  CONSTRAINT FK_B_BIZ_PARTNER_PRSN_B_BIZ_PARTNER FOREIGN KEY (BP_CD) REFERENCES SKMESDB.dbo.B_BIZ_PARTNER(BP_CD)
)
-end-

[B_MOBILE_FACT]
(
  MOF_CD       varchar(20) NOT NULL COMMENT '단말기코드',
  MOF_NM       varchar(50) NOT NULL COMMENT '단말기명',
  MOF_MF       varchar(50) NULL COMMENT '제조사',
  PUR_NM       varchar(20) NULL COMMENT '반입처',
  PUR_DATE     date NULL COMMENT '등록일',
  MAJR_EMP_NO  varchar(20) NULL COMMENT '담당자(정)',
  MINR_EMP_NO  varchar(20) NULL COMMENT '담당자(부)',
  USE_FLG      varchar(1) NULL COMMENT '사용여부',
  MAKE_USER_ID varchar(50) NULL COMMENT '등록자',
  MAKE_TM      datetime NULL COMMENT '등록시간',
  EDIT_USER_ID varchar(50) NULL COMMENT '수정자',
  EDIT_TM      datetime NULL COMMENT '수정시간',
  CONSTRAINT PK_B_MOBILE_FACT PRIMARY KEY (MOF_CD)
)
-end-

[B_JIG]
(
  JIG_CD       varchar(20) NOT NULL COMMENT '치공구코드',
  JIG_NM       varchar(50) NOT NULL COMMENT '치공구명',
  JIG_MODEL    varchar(50) NOT NULL COMMENT '치공구규격/모델',
  JIG_NUM      varchar(50) NULL COMMENT '수량',
  JIG_MF       varchar(50) NULL COMMENT '제조사',
  PUR_NM       varchar(20) NULL COMMENT '구입처',
  PUR_PRICE    varchar(20) NULL COMMENT '구입가격',
  PUR_DATE     date NULL COMMENT '구입일',
  USE_FLG      varchar(1) NULL COMMENT '사용여부',
  MAKE_USER_ID varchar(50) NULL COMMENT '등록자',
  MAKE_TM      datetime NULL COMMENT '등록시간',
  EDIT_USER_ID varchar(50) NULL COMMENT '수정자',
  EDIT_TM      datetime NULL COMMENT '수정시간',
  CONSTRAINT PK_B_JIG PRIMARY KEY (JIG_CD)
)
-end-

[B_JIG_HST]
(
  JIG_REF_CD   varchar(20) NOT NULL COMMENT '수리코드',
  JIG_CD       varchar(20) NOT NULL COMMENT '치공구코드',
  JIG_REASON   varchar(50) NULL COMMENT '이상내용',
  JIG_REPAIR   varchar(50) NULL COMMENT '수리내용',
  JIG_ADATE    date NULL COMMENT '조치일',
  JIG_A_EMP_NO varchar(50) NULL COMMENT '조치자',
  JIG_ODATE    date NULL COMMENT '반출일',
  JIG_IDATE    date NULL COMMENT '반입일',
  REMK         varchar(MAX) NULL COMMENT '비고',
  USE_FLG      varchar(1) NULL COMMENT '사용여부',
  MAKE_USER_ID varchar(50) NULL COMMENT '등록자',
  MAKE_TM      datetime NULL COMMENT '등록시간',
  EDIT_USER_ID varchar(50) NULL COMMENT '수정자',
  EDIT_TM      datetime NULL COMMENT '수정시간',
  CONSTRAINT PK_B_JIG_HST PRIMARY KEY (JIG_REF_CD)
)
-end-

[B_COMMENT]
(
  TRAN_ID int IDENTITY (1, 1) NOT NULL COMMENT '코멘트코드',
  TRAN_TEXT   varchar(200) NOT NULL COMMENT '한글',
  TRAN_DATA   text NULL COMMENT '번역문',
  MAKE_TM     datetime null,
  EDIT_TM     datetime null,
  CONSTRAINT  PK_B_COMMENT PRIMARY KEY (TRAN_ID),
)
-end-

[B_COMMENT_LANG]
(
  LANG_ID    varchar(3) NOT NULL COMMENT '언어코드',
  LANG_NM    varchar(20) NOT NULL COMMENT '언어명',
  USE_FLG    varchar(1) NULL COMMENT '사용여부',
  MAKE_TM    datetime null,
  EDIT_TM    datetime null,
  CONSTRAINT PK_B_COMMENT_LANG PRIMARY KEY (LANG_ID),
)
-end-

[S_EST_HDR]
(
  EST_ID        varchar(20) NOT NULL COMMENT '견적코드',
  EST_UID       varchar(50) NULL COMMENT '사용자견적번호',
  EST_TITLE     nvarchar(100) NOT NULL DEFAULT '' COMMENT '견적타이틀',
  BP_CD         varchar(20) NULL COMMENT '거래처코드',
  BP_NM         nvarchar(50) NULL COMMENT '거래처명',
  BP_PRSN_ID    varchar(100) NULL COMMENT '거래처담당자',
  BP_PRSN_NM    nvarchar(100) NULL COMMENT '거래처담당자명',
  BP_PRSN_TEL   varchar(100) NULL COMMENT '거래처담당자연락처',
  EST_DATE      date NULL COMMENT '견적일자',
  EMP_NO        varchar(20) NULL COMMENT '담당자코드',
  EMP_NM        nvarchar(50) NULL COMMENT '담당자명',
  EMP_TEL       nvarchar(50) NULL COMMENT '담당자연락처',
  EST_AMT       numeric NULL COMMENT '견적금액',
  EST_TAX       varchar(30) NULL COMMENT '부가세',
  EST_TEXT      varchar(max) NULL COMMENT '견적내용',
  EST_TEST_EXP  varchar(100) NULL COMMENT '검사비',
  EST_PACK_EXP  varchar(100) NULL COMMENT '포장비',
  EST_EXP_DAYS  varchar(20) NULL COMMENT '견적유효기간',
  EST_DEL_LIMT  varchar(20) NULL COMMENT '납기',
  EST_TRAN_COND varchar(20) NULL COMMENT '운송조건',
  EST_PAY_COND  varchar(20) NULL COMMENT '지불조건',
  EST_SUP_COND  varchar(20) NULL COMMENT '공급조건',
  EST_ETC       varchar(max) NULL COMMENT '특기사항',
  SCS_FLG       varchar(1) NULL COMMENT '체결여부',
  USE_FLG       varchar(1) NULL COMMENT '사용여부',
  MAKE_USER_ID  varchar(50) NULL COMMENT '등록자',
  MAKE_TM       datetime NULL COMMENT '등록시간',
  EDIT_USER_ID  varchar(50) NULL COMMENT '수정자',
  EDIT_TM       datetime NULL COMMENT '수정시간',
  CONSTRAINT PK_S_EST_HDR PRIMARY KEY (EST_ID),
)
-end-

[S_EST_DETAIL]
(
  EST_ID        varchar(20) NOT NULL COMMENT '견적코드',
  EST_DTL_ID    int IDENTITY (1, 1) NOT NULL COMMENT '견적상세코드',
  EST_DTL_SEQ   varchar(3) NULL COMMENT '순번',
  EST_DTL_ITEM  varchar(100) NULL COMMENT '품명',
  EST_DTL_SPEC  varchar(100) NULL COMMENT '규격',
  EST_DTL_MATR  varchar(20) NULL COMMENT '재질',
  EST_DTL_EA    int NULL COMMENT '수량',
  EST_DTL_WGT   numeric NULL COMMENT '중량',
  EST_DTL_PRC   numeric NULL COMMENT '단가',
  EST_DTL_AMT   numeric NULL COMMENT '금액',
  USE_FLG       varchar(1) NULL COMMENT '사용여부',
  MAKE_USER_ID  varchar(50) NULL COMMENT '등록자',
  MAKE_TM       datetime NULL COMMENT '등록시간',
  EDIT_USER_ID  varchar(50) NULL COMMENT '수정자',
  EDIT_TM       datetime NULL COMMENT '수정시간',
  CONSTRAINT PK_S_EST_DETAIL PRIMARY KEY (EST_ID, EST_DTL_ID),
)
-end-

[Z_API_REC]
(
  api_id        int IDENTITY (1, 1) NOT NULL COMMENT 'API등록코드',
  logDt         datetime NULL COMMENT '등록시간',
  useSe         varchar(20) NULL COMMENT '사용구분',
  sysUser       varchar(20) NULL COMMENT '사용자',
  conectIp      varchar(40) NULL COMMENT '요청IP',
  dataUsgqty    int NULL COMMENT '데이터크기',
  recptnDt      datetime NULL COMMENT '수신시간',
  recptnRsltCd  varchar(20) NULL COMMENT '결과코드',
  recptnRslt    varchar(30) NULL COMMENT '결과내용',
  recptnRsltDtl varchar(255) NULL COMMENT '결과상세',
  CONSTRAINT pk_Z_API_REC PRIMARY KEY (API_ID),
)
-end-

[Z_NUMBERING_RULE]
(
  NUM_ID       varchar(20) not null,
  NUM_SEQNO    int not null,
  DISP_SEQ     int not null,
  COLUMN_ID    varchar(50) null,
  FORMAT_STR   varchar(255) null,
  DISP_TYPE    varchar(1) null,
  START_POS    int null,
  SEL_LEN      int null,
  INCRE_STEP   int null,
  INCRE_SEED   int null,
  CONV_FUNC    varchar(1) null,
  REMK         nvarchar(500) null,
  MAKE_TM      datetime null,
  MAKE_USER_ID varchar(50) null,
  EDIT_TM      datetime null,
  EDIT_USER_ID varchar(50) null,
  CONSTRAINT PK_Z_NUMBERING_RULE PRIMARY KEY (NUM_ID, NUM_SEQNO)
)
-end-


[Z_NUMBERING_HST]
(
  NUM_ID       varchar(20) not null,
  PREFIX_DATA  varchar(255) not null,
  LAST_AUTOSEQ numeric null,
  MAKE_TM      datetime null,
  MAKE_USER_ID varchar(50) null,
  EDIT_TM      datetime null,
  EDIT_USER_ID varchar(50) null,
  CONSTRAINT PK_Z_NUMBERING_HST PRIMARY KEY (NUM_ID, PREFIX_DATA)
)
-end-
*/
